#include <stdint.h>
#include <stdbool.h>
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "driverlib/debug.h"
#include "driverlib/sysctl.h"
#include "driverlib/adc.h"

#include "inc/tm4c123gh6pm.h"


#ifdef DEBUG
void__error__(char *pcFilename, uint32_t ui32Line)
{
}
#endif


volatile uint32_t ui32Temp;
long delay = 10000;
volatile uint32_t VolTemp;


int main(void)
{
 uint32_t ADC0Value;
 volatile uint32_t ui32Loop;

 SysCtlClockSet(SYSCTL_SYSDIV_5|SYSCTL_USE_PLL|SYSCTL_OSC_MAIN|SYSCTL_XTAL_16MHZ);



     //
     // Enable the GPIO port that is used for the on-board LED.
     //
     SYSCTL_RCGC2_R = SYSCTL_RCGC2_GPIOF;

     //
     // Do a dummy read to insert a few cycles after enabling the peripheral.
     //
     ui32Loop = SYSCTL_RCGC2_R;

     //
     // Enable the GPIO pin for the LED (PF3).  Set the direction as output, and
     // enable the GPIO pin for digital function.
     //
     GPIO_PORTF_DIR_R = 0x08;
     GPIO_PORTF_DEN_R = 0x08;


 //ADC0使能
 SysCtlPeripheralEnable(SYSCTL_PERIPH_ADC0);

 ADCSequenceConfigure(ADC0_BASE, 1, ADC_TRIGGER_PROCESSOR, 0);

 ADCSequenceStepConfigure(ADC0_BASE, 1, 0, ADC_CTL_CH0|ADC_CTL_IE|ADC_CTL_END);

 ADCSequenceEnable(ADC0_BASE, 1);
 while(1)
 {
     //
     // Turn on the LED.
     //
     GPIO_PORTF_DATA_R |= 0x08;

     //
     // Delay for a bit.
     //
     for(ui32Loop = 0; ui32Loop < delay; ui32Loop++)
     {
     }

     //
     // Turn off the LED.
     //
     GPIO_PORTF_DATA_R &= ~(0x08);

     //
     // Delay for a bit.
     //
     for(ui32Loop = 0; ui32Loop < delay; ui32Loop++)
     {
     }


    ADCIntClear(ADC0_BASE, 1);
    ADCProcessorTrigger(ADC0_BASE, 1);
    while(!ADCIntStatus(ADC0_BASE, 1, false))
    {
    }
    ADCSequenceDataGet(ADC0_BASE, 1, &ADC0Value);

    ui32Temp = ADC0Value;

    VolTemp = ui32Temp*3300/4096;

 }
}
